// **** Shaderfile for spirit3t2 ****

// **** Quake Style Teleporter ****
//This shader and textures by Decker and Jude

textures/spirit3t2_qw_teleporter/qw_teleporter
{
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_surfacelight 25
	
	surfaceparm nomarks
	surfaceparm nolightmap
	nopicmip
	
	cull disable
	
{
		map textures/spirit3t2_qw_teleporter/qw_teleporter.tga
		tcMod turb 0 .2 0 .1
}
} 


// **** Shaders for the mkoxide Texture Set by Lunaran follow ****
// shaderfile by Killer - http://www.planetquake.com/killer

//************************************************************//
// Square orange light with 10000 light value                 //
//************************************************************//
textures/spirit3t2_mkoxide/ceil_orange_10000
{
   surfaceparm nomarks
   q3map_surfacelight 10000
   light 1
   qer_editorimage textures/spirit3t2_mkoxide/ceil_orange.tga
{
      map $lightmap
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/ceil_orange.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/ceil_orangeglow.tga
      blendfunc GL_ONE GL_ONE
}
}


//************************************************************//
// Square red light with 5000 light value                    //
//************************************************************//
textures/spirit3t2_mkoxide/ceil_red_5000
{
   surfaceparm nomarks
   q3map_surfacelight 5000
   light 1
   qer_editorimage textures/spirit3t2_mkoxide/ceil_red.tga
{
      map $lightmap
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/ceil_red.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/ceil_redglow.tga
      blendfunc GL_ONE GL_ONE
}
}


//************************************************************//
// Flourescent white strip light with 5000 light value        //
//************************************************************//
textures/spirit3t2_mkoxide/baselt1_5000
{
   surfaceparm nomarks
   q3map_surfacelight 5000
   q3map_lightsubdivide 32
   light 1
   qer_editorimage textures/spirit3t2_mkoxide/baselt1.tga
{
      map $lightmap
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/baselt1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/baselt1glow.tga
      blendfunc GL_ONE GL_ONE
}
}


//************************************************************//
// Flourescent white strip light with 2000 light value        //
//************************************************************//
textures/spirit3t2_mkoxide/baselt1_2000
{
   surfaceparm nomarks
   q3map_surfacelight 2000
   q3map_lightsubdivide 32
   light 1
   qer_editorimage textures/spirit3t2_mkoxide/baselt1.tga
{
      map $lightmap
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/baselt1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/baselt1glow.tga
      blendfunc GL_ONE GL_ONE
}
}


//************************************************************//
// Flourescent orange strip light with 5000 light value       //
//************************************************************//
textures/spirit3t2_mkoxide/wastelt1_5000
{
   surfaceparm nomarks
   q3map_surfacelight 5000
   q3map_lightsubdivide 32
   light 1
   qer_editorimage textures/spirit3t2_mkoxide/wastelt1_ed.tga
{
      map $lightmap
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/wastelt1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/wastelt1glow.tga
      blendfunc GL_ONE GL_ONE
}
}


//************************************************************//
// Flourescent orange strip light with 2000 light value       //
//************************************************************//
textures/spirit3t2_mkoxide/wastelt1_2000
{
   surfaceparm nomarks
   q3map_surfacelight 2000
   light 1
   qer_editorimage textures/spirit3t2_mkoxide/wastelt1_ed.tga
{
      map $lightmap
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/wastelt1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      rgbGen identity
}
{
      map textures/spirit3t2_mkoxide/wastelt1glow.tga
      blendfunc GL_ONE GL_ONE
}
}


//************************************************************//
// Strogg emblem that hasn't been rusted and chipped off      //
//************************************************************//
textures/spirit3t2_mkoxide/metal4_1shiny
{
{
      map textures/effects/envmapgold.tga
      tcGen environment
}
{
      map textures/spirit3t2_mkoxide/metal4_1shiny.tga
      blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
}
{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
}
}


//************************************************************//
// Greenish semi-transparent sludge                           //
//************************************************************//
textures/spirit3t2_mkoxide/goo1
{
   qer_editorimage textures/spirit3t2_mkoxide/goo2.tga
   qer_trans 0.2
   surfaceparm water
   surfaceparm trans
   surfaceparm noimpact
   surfaceparm nomarks
   tesssize 64
   deformVertexes wave 100 sin 2 2 0 .125
{
      map textures/spirit3t2_mkoxide/goo1.tga
      blendFunc GL_DST_COLOR GL_ZERO
      tcMod rotate 1
      tcMod scroll -0.025 -0.045
}
{
      map textures/spirit3t2_mkoxide/goo2.tga
      blendFunc GL_ONE GL_ONE
      tcMod scale 1 -1
      tcMod scroll 0.045 0.025
}
{
      map $lightmap
      blendFunc GL_DST_COLOR GL_ZERO
}
}


//************************************************************//
// Yellow flourescent strip light beam texture                //
//************************************************************//
textures/spirit3t2_mkoxide/orangebeam
{
   surfaceparm trans	
   surfaceparm nomarks	
   surfaceparm nonsolid
   surfaceparm nolightmap
   cull none
{
      map textures/spirit3t2_mkoxide/orangebeam.tga
      tcMod Scroll .3 0
      blendFunc add
}
}


//************************************************************//
// Bounce pad on dark diamond floor                           //
//************************************************************//
textures/spirit3t2_mkoxide/bounce_floor1
{
   surfaceparm nodamage
   q3map_lightimage textures/sfx/jumppadsmall.tga	
   q3map_surfacelight 400
{
      map textures/spirit3t2_mkoxide/bounce_floor1.tga
      rgbGen identity
}
{
      map $lightmap
      rgbGen identity
      blendfunc filter
}
{
      map textures/sfx/bouncepad01b_layer1.tga
      blendfunc add
      rgbGen wave sin .5 .5 0 1.5
}
{
      clampmap textures/sfx/jumppadsmall.tga
      blendfunc add
      tcMod stretch sin 1.2 .8 0 1.5
      rgbGen wave square .5 .5 .25 1.5
}
}

//************************************************************//
// Sky texture shader copied from ik_sky.shader              //
// http://www.planetquake.com/ikq                             //
//************************************************************//
textures/spirit3t2_mkoxide/ik_sky_night
{
   surfaceparm noimpact
   surfaceparm nolightmap
   surfaceparm sky
   qer_editorimage textures/spirit3t2_mkoxide/ik_sky_night_back.tga
   q3map_lightimage textures/spirit3t2_mkoxide/ik_sky_night_back.tga
   q3map_surfacelight 200
   skyparms - 512 -
{
      map textures/spirit3t2_mkoxide/ik_sky_night_back.tga
      tcMod scale 2 2
      tcMod scroll 0.01 0.01
      depthWrite
}
{
      map textures/spirit3t2_mkoxide/ik_sky_night_front.tga
      blendFunc GL_ONE GL_ONE
      tcMod scale 3 3
      tcMod scroll 0.02 0.02
}
}



// **** Shaders for the e8 Texture Set by Evil Lair follow ****

textures/spirit3t2_evil8_lights/e8btrimlight
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8btrimlight.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8btrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t2_evil8_lights/e8btrimlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8btrimlight.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_lights/e8trimlight
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8trimlight.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8trimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t2_evil8_lights/e8trimlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8trimlight.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_floor/e8warn2steplight
{
	qer_editorimage textures/spirit3t2_evil8_floor/e8warn2steplight.tga
	q3map_lightimage textures/spirit3t2_evil8_floor/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t2_evil8_floor/e8warn2steplight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_floor/e8warn2steplight.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_floor/e8minitrimlight
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8minitrimlight.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
{
		map textures/spirit3t2_evil8_lights/e8minitrimlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8minitrimlight.blend.tga
		blendfunc add
}
}
textures/spirit3t2_evil8_fx/e8_jumppad02
{
	q3map_lightimage textures/spirit3t2_evil8_fx/e8_jumppad02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t2_evil8_fx/e8_jumppad02_fx.tga
		blendfunc add
		tcMod rotate 360
		tcMod stretch sin 1 0.8 1 0.4 
}
{
		map textures/spirit3t2_evil8_fx/e8_jumppad02.tga
		blendfunc add
		rgbGen identity
}
{
		map textures/spirit3t2_evil8_fx/e8_jumppad02.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

// **** added by spirit : alternate jumppad for vertex mode ('r_vertexlight 1') **** //
textures/spirit3t2_evil8_fx/e8_jumppad02_spirit
{
//	q3map_lightimage textures/spirit3t2_evil8_fx/e8_jumppad02_fx.tga
//	surfaceparm metalsteps
//	q3map_surfacelight 100
//{
//		map textures/spirit3t2_evil8_fx/e8_jumppad02_fx_spirit.tga
//		blendfunc add
//		tcMod rotate 360
//		tcMod stretch sin 1 0.8 1 0.4 
//}
{
		map textures/spirit3t2_evil8_fx/e8_jumppad02_spirit.tga
		blendfunc blend
		rgbGen identity
}
//{
//		map textures/spirit3t2_evil8_fx/e8_jumppad02_spirit.tga
//		blendfunc blend
//		rgbGen identity
//}
//{
//		map $lightmap 
//		blendfunc gl_dst_color gl_one_minus_dst_alpha
//		rgbGen identity
//		tcGen lightmap 
//}
}


textures/spirit3t2_evil8_lights/e8_rlightb2
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8_rlightb2.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8_rlightb2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
{
		map textures/spirit3t2_evil8_lights/e8_rlightb2.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8_rlightb2.blend.tga
		blendfunc add
}
}
textures/spirit3t2_evil8_lights/e8_rlightb
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8_rlightb.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8_rlightb.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 450
{
		map textures/spirit3t2_evil8_lights/e8_rlightb.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8_rlightb.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_lights/evil8_rlight
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8_rlight.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t2_evil8_lights/e8_rlight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8_rlight.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_lights/e8tmtllight
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8tmtllight.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8tmtllight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t2_evil8_lights/e8tmtllight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8tmtllight.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_lights/e8tmtllight2
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8tmtllight2.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8tmtllight2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t2_evil8_lights/e8tmtllight2.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8tmtllight2.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_lights/e8tmtllight2b
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8tmtllight2b.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t2_evil8_lights/e8tmtllight2b.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8tmtllight2b.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_grate/e8xgirder_small2
{
	cull disable
{
		map textures/spirit3t2_evil8_grate/e8xgirder_small2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t2_evil8_fx/e8alphaspawn
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t2_evil8_fx/e8alphaspawn.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t2_evil8_fx/e8yarrow
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t2_evil8_fx/e8yarrow.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t2_evil8_trim/e8lighttrim_static
{
	qer_editorimage textures/spirit3t2_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 800
{
		map textures/spirit3t2_evil8_trim/e8lighttrim.tga
}
{
		map $lightmap
		blendfunc filter
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_trim/e8lighttrim_glow
{
	qer_editorimage textures/spirit3t2_evil8_trim/e8lighttrim.tga
	surfaceparm nomarks
	q3map_surfacelight 800
{
		map textures/spirit3t2_evil8_trim/e8lighttrim.tga
}
{
		map $lightmap
		blendfunc filter
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_trim/e8lighttrim.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2
}
}

textures/spirit3t2_evil8_trim/e8lighttrim_b_static
{
	qer_editorimage textures/spirit3t2_evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 800
{
		map textures/spirit3t2_evil8_trim/e8lighttrim_b.tga
}
{
		map $lightmap
		blendfunc filter
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_trim/e8lighttrim_b_glow
{
	qer_editorimage textures/spirit3t2_evil8_trim/e8lighttrim_b.tga
	surfaceparm nomarks
	q3map_surfacelight 800
{
		map textures/spirit3t2_evil8_trim/e8lighttrim_b.tga
}
{
		map $lightmap
		blendfunc filter
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_trim/e8lighttrim_b.blend.tga
		blendfunc add
		rgbGen wave sawtooth 0.2 1 1 0.2
}
}

textures/spirit3t2_evil8_fx/e8jumpspawn02
{
	q3map_lightimage textures/spirit3t2_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t2_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
}
{
		map textures/spirit3t2_evil8_fx/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap
}
}

textures/spirit3t2_evil8_fx/e8jumpspawn02b
{
	q3map_lightimage textures/spirit3t2_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t2_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
}
{
		map textures/spirit3t2_evil8_fx/e8jumpspawn02b.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t2_evil8_fx/e8jumpspawn02c
{
	q3map_lightimage textures/spirit3t2_evil8_fx/e8jumpspawn02_fx.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t2_evil8_fx/e8jumpspawn02_fx.tga
		rgbGen identity
		tcMod rotate 760
}
{
		map textures/spirit3t2_evil8_fx/e8jumpspawn02c.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t2_evil8_fx/e8_launchpad1
{
	q3map_lightimage textures/spirit3t2_evil8_fx/e8_launchpad1.blend.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
{
		map textures/spirit3t2_evil8_fx/e8_launchpad1_fx.tga
		rgbGen identity
		tcMod scroll 0 3
}
{
		map textures/spirit3t2_evil8_fx/e8_launchpad1.tga
		blendfunc blend
		rgbGen identity
}
{
		map textures/spirit3t2_evil8_fx/e8_launchpad1.blend.tga
		blendfunc add
		rgbGen wave triangle 0.2 2 1 2 
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t2_evil8_fx/e8red_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t2_evil8_fx/e8red_dcl.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t2_evil8_fx/e8blue_dcl
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t2_evil8_fx/e8blue_dcl.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t2_evil8_grate/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
{
		map textures/spirit3t2_evil8_grate/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/evil8_grate/spirit3t2/e8xgirder_small
{
	cull disable
{
		map textures/spirit3t2_evil8_grate/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t2_evil8_trim/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_trim/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t2_evil8_trim/e8wrntrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_trim/e8wrntrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/evil8_trim/spirit3t2/e8mtltrim2
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_trim/e8mtltrim2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t2_evil8_grate/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
{
		map textures/spirit3t2_evil8_grate/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t2_evil8_fx/e8rail
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
{
		map textures/spirit3t2_evil8_fx/e8rail.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
}
{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
}
}

textures/spirit3t2_evil8_fx/e8icon_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_fx/e8icon_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
}
}

textures/spirit3t2_evil8_fx/e8icon_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_fx/e8icon_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.2 
}
}

//doesn't work right, please edit as you see fit
textures/spirit3t2_evil8_fx/e8scuffs1
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	qer_trans 0.4
{
		map textures/spirit3t2_evil8_fx/e8scuffs1.tga
		blendfunc blend
		rgbGen Vertex
		depthWrite
}
}

textures/spirit3t2_evil8_fx/e8circle_red
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
{
		map textures/spirit3t2_evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen identity
}
}

textures/spirit3t2_evil8_fx/e8circle_blue
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
{
		map textures/spirit3t2_evil8_fx/e8circle_blue.tga
		blendfunc add
		rgbGen identity
}
}

textures/spirit3t2_evil8_fx/e8circle_red_fade
{
	qer_editorimage textures/spirit3t2_evil8_fx/e8circle_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_fx/e8circle_red.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
}
}

textures/spirit3t2_evil8_fx/e8circle_blue_fade
{
	qer_editorimage textures/spirit3t2_evil8_fx/e8circle_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	cull disable
{
		map textures/spirit3t2_evil8_fx/e8circle_blue.tga
		blendfunc add
		rgbGen wave triangle 0.2 0.5 0 0.5 
}
}

textures/spirit3t2_evil8_fx/e8spawn01b
{
{
		map textures/sfx/proto_zzztblu2.tga
		rgbGen identity
		tcMod turb 0 0.5 0 9.6
		tcMod scale 2 2
		tcMod scroll 9 5
}
{
		map textures/spirit3t2_evil8_fx/e8spawn01b.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t2_evil8_trim/e8trim_bluefx
{
	q3map_lightimage textures/spirit3t2/e8trim/evil8_trimfx_b.tga
	q3map_surfacelight 100
{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_trim/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
}
{
		map textures/spirit3t2_evil8_trim/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
}
}

textures/spirit3t2_evil8_trim/e8trim_redfx
{
	q3map_lightimage textures/spirit3t2_evil8_trim/e8trimfx_r.tga
	q3map_surfacelight 100
{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_trim/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
}
{
		map textures/spirit3t2_evil8_trim/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
}
}

//not for public release :P
textures/spirit3t2_evil8_fx/e8evilspacetxt
{
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm pointlight
{
		map textures/spirit3t2_evil8_fx/e8evilspacetxt.tga
		blendfunc add
		rgbGen Vertex
}
}

textures/spirit3t2_evil8_lights/e8tinylight
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8tinylight.tga
	q3map_lightimage textures/spirit3t2_evil8_lights/e8tinylight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t2_evil8_lights/e8tinylight.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8tinylight.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_lights/e8tinylightblue
{
	qer_editorimage textures/spirit3t2_evil8_lights/e8tinylightblue.tga
	surfaceparm nomarks
	q3map_surfacelight 950
{
		map textures/spirit3t2_evil8_lights/e8tinylightblue.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_lights/e8tinylightblue.blend.tga
		blendfunc add
}
}

textures/spirit3t2_evil8_fx/e8beam
{
	qer_editorimage textures/spirit3t2_evil8_fx/e8beam.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
{
		map textures/spirit3t2_evil8_fx/e8beam.tga
		blendfunc add
		tcMod scroll 0.3 0
}
}

textures/spirit3t2_evil8_fx/e8beam_blue
{
	qer_editorimage textures/spirit3t2_evil8_fx/e8beam_blue.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans 0.6
{
		map textures/spirit3t2_evil8_fx/e8beam_blue.tga
		blendfunc add
		tcMod scroll 0.3 0
}
}

textures/spirit3t2_evil8_base/e8metal03c_shiney
{
	qer_editorimage textures/spirit3t2_evil8_base/e8metal03c.tga
{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
}
{
		map textures/spirit3t2_evil8_base/e8metal03c.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t2_evil8_base/e8metal_blue_shiney
{
	qer_editorimage textures/spirit3t2_evil8_base/e8metal_blue.tga
{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
}
{
		map textures/spirit3t2_evil8_base/e8metal_blue.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

textures/spirit3t2_evil8_base/e8metal_red_shiney
{
	qer_editorimage textures/spirit3t2_evil8_base/e8metal_red.tga
{
		map textures/effects/tinfx.tga
		rgbGen identity
		tcGen environment 
}
{
		map textures/spirit3t2_evil8_base/e8metal_red.tga
		blendfunc blend
		rgbGen identity
}
{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
}
}

//broken shader D:?
textures/spirit3t2_evil8_trim/e8trimlight
{
	q3map_lightimage textures/spirit3t2_evil8_trim/e8trimlight_fx.tga
	q3map_surfacelight 100
{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_trim/e8trimlight.tga
		blendfunc filter
		rgbGen identity
}
{
		map textures/spirit3t2_evil8_trim/e8trimlight_fx.tga
		blendfunc add
		tcMod scroll -2 0
}
}

textures/spirit3t2_evil8_trim/e8trimlight2_blue
{
	qer_editorimage textures/spirit3t2_evil8_trim/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t2_evil8_trim/e8trimlight2_blue.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_trim/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
}
}

textures/spirit3t2_evil8_trim/e8trimlight2_red
{
	qer_editorimage textures/spirit3t2_evil8_trim/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
{
		map textures/spirit3t2_evil8_trim/e8trimlight2_red.tga
}
{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
}
{
		map textures/spirit3t2_evil8_trim/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
}
}


//===========================//
//=======floor sounds========//
//===========================//
textures/spirit3t2_evil8_floor/e8clangfloor
{
	//qer_editorimage textures/spirit3t2_evil8_floor/e8clangfloor.tga
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor01
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor01.tga
		blendfunc filter
		rgbGen identity
}
}

textures/spirit3t2_evil8_floor/e8clangfloor03
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor03.tga
		blendfunc filter
		rgbGen identity
}
}

textures/spirit3t2_evil8_floor/e8clangfloor04
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor04.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor04_blue
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor04_blue.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor04_red
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor04_red.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor04b
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor04b.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor04warn
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor04warn.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor04warn2
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor04warn2.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor05
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor05.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor05b
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor05b.tga
		blendfunc filter
		rgbGen identity
}
}
textures/spirit3t2_evil8_floor/e8clangfloor05c
{
	surfaceparm metalsteps
{
		map $lightmap
		rgbGen identity
		tcGen lightmap
}
{
		map textures/spirit3t2_evil8_floor/e8clangfloor05c.tga
		blendfunc filter
		rgbGen identity
}
}


// **** glass shaders follow **** //
// made by Louie "KnightBK" Doulias


//	Blue, bright glass.  Light swirl pattern to it.
textures/spirit3t2_glass/blueglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
{
		map textures/spirit3t2_glass/blueglass.tga
		tcGen environment
		tcMod turb 0 0.01 0 0.01	        
		tcmod scroll .0 .0
		blendfunc GL_ONE GL_ONE
}
}


//	Foggy, stained glass with a cool chrome like finish when you walk by. 
textures/spirit3t2_glass/darkglass
{
                      qer_trans .5
                      surfaceparm trans

                      cull disable
{
                      map textures/effects/tinfx.tga
                      tcgen environment
                      blendfunc gl_one gl_one
                      rgbGen identity
}
{
                      map $lightmap
                      blendFunc gl_dst_color gl_zero
                      rgbgen identity
}
}


// 	Plain glass.
textures/spirit3t2_glass/plainglass
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
{
		map textures/spirit3t2_glass/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
}
}

//========== EOF =============//

